{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Conciliación{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item active">Conciliación</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Conciliación <small></small></h1>
	<!-- end page-header -->


	<!-- begin row -->
	<div class="row">
	<!-- begin col-12 -->
	<div class="col-xl-12 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Conciliación</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">

				<div class="row mb-3">
					<div class="col-md-6">
							<p>Suba el archivo Excel con la información de transferencias bancarias para conciliacion.</p>
							{% comment %}
							<p>Recuerde que las columnas válidas son (en este orden): <strong>Fecha Transferencia</strong>, <strong>Nombre Pagador</strong>, <strong>RUT Pagador</strong>, <strong>Monto $</strong>, <strong>Banco Pagador</strong> y <strong>Documento</strong>.</p>
						
							{% endcomment %}
						
							<form class="form-horizontal" method="post" enctype="multipart/form-data">
							  {% csrf_token %}
						
							  {% for field in form %}
							  <div class="form-group">
								<label for="{{ field.auto_id }}" class="col-sm-3 control-label">{{ field.label }}</label>
								<div class="col-sm-9">
								  {% render_field field class="form-control" %}
						
								  {% for error in field.errors %}
								  <span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
								  {% endfor %}
								</div>
							  </div>
							  {% endfor %}
						
							  <input type="submit" value="Subir" class="btn btn-primary" id="upload-button">
							  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
							</form>
					</div>
					<div class="col-md-6">
							{% if processed_count %}
							<h4>Resultados de la carga</h4>
						
							<p><strong>{{ processed_count }}</strong> registros procesados.</p>
							<p><strong>{{ created_count }}</strong> documentos creados.</p>
						
							<table class="table">
							  <tbody>
								<tr>
								  <td>Registros válidos</td>
								  <td><strong>{{ valid_count }}</strong></td>
								  <td><a href="?file=valid" class="btn btn-success" download>Descargar</a></td>
								</tr>
								<tr>
								  <td>Registros inválidos</td>
								  <td><strong>{{ invalid_count }}</strong></td>
								  <td><a href="?file=invalid" class="btn btn-danger" download>Descargar</a></td>
								</tr>
								<tr>
								  <td>Clientes no encontrados</td>
								  <td><strong>{{ not_found_count }}</strong></td>
								  <td><a href="?file=not_found" class="btn btn-warning" download>Descargar</a></td>
								</tr>
								<tr>
								  <td>RUTs pagadores duplicados</td>
								  <td><strong>{{ multiple_services_count }}</strong></td>
								  <td><a href="?file=multiple_services" class="btn btn-default" download>Descargar</a></td>
								</tr>
							  </tbody>
							</table>
							{% endif %}
					</div>
				</div>
			</div>

</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->

{% endblock %}


{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("finances_menu").classList.add("active");
    //active submenu item
    document.getElementById("exceldiff_item").classList.add("active");
</script>
    <script type="text/javascript" src="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js' %}"></script>
    <script type="text/javascript">
    $(document).ready(function(){
	$("input[type=text]").datetimepicker({locale:"en-gb",format:"DD/MM/YYYY"})
    });
    </script>
{% endblock %}
